Skip to main content
GET
/
job
/
{job_id}
Poll a job
curl --request GET \
  --url https://{host}/api/sharesame/job/{job_id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "building",
  "files": [
    {
      "path": "<string>",
      "content": "<string>",
      "language": "text"
    }
  ],
  "error": "<string>",
  "progress": "<string>",
  "elapsed_seconds": 123,
  "sandbox_session": "<string>",
  "deployment_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

The job ID returned by POST /generate

Response

200 - application/json

Current job status

status
enum<string>
required
Available options:
building,
partial,
ready,
failed
files
object[]
error
string
progress
string
elapsed_seconds
integer
sandbox_session
string
deployment_id
string

Deployment snapshot ID when available